      program sp800	! AS data for 20000 events
      implicit none	! 飛来時間差の計算とそのバラツキの様子をみる
      integer i

      character dummy*10                       ! 読み飛ばし用の変数
      integer Ns                               ! データ数
      integer hh1,mm1,ss1,ms1, hh2,mm2,ss2,ms2 ! 時、分、秒、μ秒
      integer s1,  s2,  ds12                   ! 秒
      parameter( Ns=20000 )                    ! 空気シャワー数

      open(1, file='070109.DAT')               ! データファイル
      open(2, file='sp800.dat')

      read(1,*) dummy  ; write(*,*) dummy      ! 1行読み飛ばしと表示
      read(1,*) dummy  ; write(*,*) dummy      ! 1行読み飛ばしと表示
      read(1,*) dummy  ; write(*,*) dummy      ! 1行読み飛ばしと表示

      read(1, '(3i2,i7)') hh1,mm1,ss1,ms1      ! 最初の時刻データ読み込み
      write(*,'(3i2,i7)') hh1,mm1,ss1,ms1      ! 画面表示

        s1  = hh1*60*60 + mm1*60 + ss1         ! 時刻を秒に換算

      do i=1,Ns-1                              ! 19999回繰り返す

        read(1, '(3i2,i7)') hh2,mm2,ss2,ms2    ! 次の時刻データ読み込み
!       write(*,'(3i2,i7)') hh2,mm2,ss2,ms2    ! 画面表示

        s2  = hh2*60*60 + mm2*60 + ss2         ! 時刻を秒に換算

        ds12= s2 - s1                          ! 時間差の計算

!       if( ds12.lt.0 ) then                   ! 日付が変わるとき負になるので
!           ds12 = ds12 + 24*60*60             ! 1日分の秒数を修正する
!       endif

        write(2,*) i, ds12                     ! 飛来時間差をファイルに出力
 
        hh1 = hh2                              ! 2の変数を1の変数へ保存
        mm1 = mm2
        ss1 = ss2
        ms1 = ms2
        s1  = s2

      enddo

      close(2)
      close(1)

      stop
      end
